# selectframe2_traintestmalevowels_stressed.praat

# read two data sets and select only frame 2

savedir$ = "/home/david/tex/thesis/cart"

procedure set_column_labels
  for i to 18
    Set column label (index)... i 'i'
  endfor

endproc

Read from file... /home/david/TIMIT/dr0/barks_d1R0SmP00A1_03.TableOfReal
Select columns where row... 27:44 1
Rename... d1
call set_column_labels
Write to binary file... 'savedir$'/barks_train_frame2.TableOfReal
select TableOfReal barks_d1R0SmP00A1_03
Remove

Read from file... /home/david/TIMIT/dr0/barks_d2R0SmP00A1_03.TableOfReal
Select columns where row... 27:44 1
Rename... d2
call set_column_labels
Write to binary file... 'savedir$'/barks_test_frame2.TableOfReal
select TableOfReal barks_d2R0SmP00A1_03
Remove

# append the tables

select TableOfReal d1
plus TableOfReal d2
Append
Rename... d1d2

Write to binary file... 'savedir$'/barks_total_frame2.TableOfReal


