# MWC_test_normalization.praat
# 20041213 djmw

procedure get_fc table_in matout
  select table_in
  To Discriminant
  dis = selected ("Discriminant")
  plus table_in
  To ClassificationTable... y y
  ct = selected ("ClassificationTable")
  To Confusion
  fc = Get fraction correct
  conf = selected ("Confusion")
  alpha = 0
  p = 0
  for i to 10
    alpha = i/10
    for j to 10
      p = j/10
      select dis
      plus table_in
      To ClassificationTable (dw)... yes yes alpha p
      tt = selected ("TableOfReal")
      ctt = selected ("ClassificationTable")
      select ctt
      To Confusion
      fct = Get fraction correct
      conft = selected ("Confusion")
      select matout
      Set value... i j fct-fc
      select tt
      plus ctt
      plus conft
      Remove
    endfor
  endfor
  select dis
  plus ct
  plus conf
  Remove
endproc

Create TableOfReal (Weenink 1986)... Men
tm = selected ("TableOfReal")
Create simple Matrix... m 10 10 0
mm = selected ("Matrix")
call get_fc tm mm

Create TableOfReal (Weenink 1986)... Women
tw = selected ("TableOfReal")
Create simple Matrix... w 10 10 0
mw = selected ("Matrix")
call get_fc tw mw


Create TableOfReal (Weenink 1986)... Children
tc = selected ("TableOfReal")
Create simple Matrix... c 10 10 0
mc = selected ("Matrix")
call get_fc tc mc

Create TableOfReal (Pols 1973)... n
tp = selected ("TableOfReal")
Create simple Matrix... p 10 10 0
mp = selected ("Matrix")
call get_fc tp mp


Create TableOfReal (Van Nierop 1973)... n
tv = selected ("TableOfReal")
Create simple Matrix... v 10 10 0
mv = selected ("Matrix")
call get_fc tv mv



