# cca_f0_bf18.praat
# djmw 20060419

include save.praat

procedure read
  Read from file... /home/david/tex/thesis/data/barks_d0R0SmfP00A1_03.TableOfReal
  tmp1 = selected ("TableOfReal")

  Extract column ranges... 7 27:44
  tmp2 = selected ("TableOfReal")
  select tmp1
  Remove
  select tmp2
  .nrows1 = Get number of rows
  Extract rows where... self[1]> 50 and self[1]<350
  tor = selected ("TableOfReal")
  .nrows2 = Get number of rows
  .p100$ = percent$(.nrows2 / .nrows1, 1)
  printline Selected '.p100$'% ('.nrows2' from '.nrows1')
  select tmp2
  Remove
  select tor
endproc

#call read
call cca

procedure cca

#  select .tor

  To CCA... 1
  cc = Get correlation... 1
  rsq = cc^2
  printline cc = 'cc', r^2 = 'rsq'
  a =2.54
  Erase all
  Times
  Font size... 10
  Black
  Select outer viewport... 0 10/a 0 5/a
  Draw eigenvector... x 1 n 0 0 -1 1 1 + y n
  Draw inner box
  Marks bottom every... 1 1 n y n
  One mark left... 1 y y n
  One mark left... 0 y y n
  One mark left... -1 y y n
  One mark bottom... 1 y n n
  One mark bottom... 18 y n n
  Text bottom... y Filter number
  call save cca_f0_bf18_eigenvector
endproc
