# weenink_formant_tables.praat
# 20041217 djmw

savedir$ = "/home/david/tex/thesis/appendices/"
include /home/david/tex/praat_procedures.praat


procedure append_columns table
ire = 0
for i to 5
  select table
    irb = ire + 1
    ire = irb + 11
    Extract row ranges... 'irb' : 'ire'
    t1 = selected ("TableOfReal")
    irb = ire+1
    ire = irb + 11
    select table
    Extract row ranges... 'irb' : 'ire'
    t2 = selected ("TableOfReal")
    plus t1
    Append columns
    tac = selected ("TableOfReal")
    if i = 1
      tr = tac
    else
      tt = tr
      plus tt
      Append
      tr = selected ("TableOfReal")
      select tt
      plus tac
      Remove
    endif
    select t1
    plus t2    
    Remove
  endfor
  call relabel tr
  endproc

procedure relabel table
  select table
  nr = Get number of rows
  for i to nr
    label$ = Get row label... i
    if label$ = "u"
      relabel$ = "\ipaOE"
    endif
    if label$ = "a"
      relabel$ = "\ipaAA"
    endif
    if label$ = "o"
      relabel$ = "\ipaOO"
    endif
    if label$ = "\as"
      relabel$ = "\ipaAH"
    endif
    if label$ = "\o/"
      relabel$ = "\ipaEU"
    endif
    if label$ = "i"
      relabel$ = "\ipaIE"
    endif
    if label$ = "y"
      relabel$ = "\ipaUU"
    endif
    if label$ = "e"
       relabel$ = "\ipaEE"
    endif
    if label$ = "\yc"
      relabel$ = "\ipaUH"
    endif
    if label$ = "\ep"
      relabel$ = "\ipaEH"
    endif
    if label$ = "\ct"
      relabel$ = "\ipaOH"
    endif
    if label$ = "\ic"
      relabel$ = "\ipaIH"
    endif
    Set row label (index)... i 'relabel$'
  endfor
endproc

Create TableOfReal (Weenink 1985)... Men
m10 = selected ("TableOfReal")
clearinfo

call append_columns m10
select tr
Rename... m102

call latex_table m102 0

Create TableOfReal (Weenink 1985)... Women
w10 = selected ("TableOfReal")
clearinfo

call append_columns w10
select tr
Rename... w102

call latex_table w102 0

