# two_spirals_process_table_test_vigilance.praat

savedir$ = "/home/david/tex/thesis/cart/"
include /u/david/tex/praat_procedures.praat

Read from file... /home/david/tex/thesis/cart/two_spirals_test_vigilance_learningrate-2004-03-22.TableOfReal
Rename... onoff
Select columns where row... 1:5 self[6]=1
Rename... on
select TableOfReal onoff
Select columns where row... 1:5 self[6]=0
Rename... off

select TableOfReal on
plus TableOfReal off
Sort by column... 2 3
nmod = 10

procedure label tablein$
  select TableOfReal 'tablein$'
  nrows = Get number of rows
  for i to nrows
    j = ((i-1) div nmod) + 1
    Set row label (index)... i 'j'
  endfor
#  Remove column (index)... 1
  To Discriminant
  Extract group centroids
  Remove column (index)... 1
  Rename... 'tablein$'r
  To Correlation
  select TableOfReal 'tablein$'r
  alphab = 0.1
  alphae = 1
  nalpha = 10
  dalpha = (alphae - alphab) / nalpha
  for i to nrows
    alpha = TableOfReal_'tablein$'r[i,2]
    j = (round ((alpha-alphab)/dalpha)) mod nmod
    j$ = fixed$ (j,0)
    Set row label (index)... i 'j$'
  endfor
  select Discriminant 'tablein$'
  Remove
endproc

call label on

call label off

# New Correlation: upper = on ; lower = off

select Correlation onr
Copy... onoffr
Formula... if row > col then Correlation_offr[row,col] else self fi
To TableOfReal
call latex_table onoffr 3
Remove




    