# get_stressed_vowels.praat
# djmw 20050527

datadir$ = "/home/david/tex/thesis/data/"

Read from file... 'datadir$'barks_d0R0SmfP00A0_03_60.TableOfReal
t = selected ("TableOfReal")
ncols_result = Get number of columns
Read from file... 'datadir$'barks_total_frame123_mf_index.TableOfReal
speaker_index = selected ("TableOfReal")
Change row labels... _ "" 1 Literals
nspeakers = 630

procedure stressed_vowels table_in speaker_index spbegin spend
  Create TableOfReal... result1 1 ncols_result
  result = selected ("TableOfReal")
  Create TableOfReal... result_index nspeakers 2
  index_stressed = selected ("TableOfReal")
  indexinmeans = 0
  for i from spbegin to spend
    select speaker_index
    rowbegin = Get value... i 1
    rowend = Get value... i 2
    rowlabel$ = Get row label... i
    select table_in
    Extract row ranges... 'rowbegin':'rowend'
    extract = selected ("TableOfReal")
    # select stressed
    Extract rows where column... 72 "greater than" 0
    stresses = selected ("TableOfReal")
    nrows = Get number of rows
    plus result
    Append
    appended = selected ("TableOfReal")
    select result
    plus stresses
    plus extract
    Remove
    result = appended
	
    select index_stressed
    Set row label (index)... i 'rowlabel$'
    indexinmeans += 1
    Set value... i 1 indexinmeans
    indexinmeans += nrows - 1
    Set value... i 2 indexinmeans	
  endfor
  select result
  Extract column ranges... 9:62
  result_123 = selected ("TableOfReal")
  Remove row (index)... 1
  Rename... result_'spbegin'_'spend'
endproc

call stressed_vowels t speaker_index 1 630
select result_123
Write to short text file... 'datadir$'barks_total_frame123_mf_stressed.TableOfReal
select index_stressed
Write to short text file... 'datadir$'barks_total_frame123_mf_stressed_index.TableOfReal


