# polsf1f2.praat
# 20040129 djmw modified
# 20050225 djmw modified arguments of 'Draw scatter plot'

include save.praat
Erase all

Create TableOfReal (Pols 1973)... yes
Formula... if col < 4 then log10 (self) else self fi
#Standardize columns
#  change the column labels too, for nice plot labels.
Set column label (index)... 1  log %F__1_
Set column label (index)... 2  log %F__2_
Set column label (index)... 3  log %F__3_
Set column label (index)... 4  %L__1_
Set column label (index)... 5  %L__2_
Set column label (index)... 6  %L__3_


Times
10
xmin=2.2
xmax=3.1
ymin=2.8
ymax=3.5
a=1/2.54

vpy1 = 1*a
vpy2 = vpy1+7*a
vpx1 = 1.5*a
vpx2 = vpx1 + 7*a *(xmax-xmin)/(ymax -ymin)
Select inner viewport... vpx1 vpx2 vpy1 vpy2

Draw scatter plot... 1 2 0 0 xmin xmax ymin ymax 12 yes + yes
One logarithmic mark top... 200 y y n
One logarithmic mark top... 400 y y n
One logarithmic mark top... 600 y y n
One logarithmic mark top... 800 y y n
One logarithmic mark top... 1000 y y n
Marks bottom every... 1  0.1 n y n
Text top... y %F__1_

One logarithmic mark right... 800 y y n
One logarithmic mark right... 1200 y y n
One logarithmic mark right... 1600 y y n
One logarithmic mark right... 2000 y y n
One logarithmic mark right... 2400 y y n
One logarithmic mark right... 2800 y y n
Marks left every... 1  0.1 n y n
Text right... y %F__2_

width = (4.7171916010498665-0.007217847769028797)/a
height = (3.5384951881014874-0.0048118985126865965)/a
call save polsf1f2


printline width, height = 'width', 'height'